## debsig-verify 0.8

=== Makefile ===
CC = gcc
CFLAGS = -Wall -g -O2
LDFLAGS = -lxmltok -lxmlparse

#TESTING=1

ifndef TESTING
DEBSIG_KEYRINGS_DIR=/usr/share/debsig/keyrings
DEBSIG_POLICIES_DIR=/etc/debsig/policies
else
DEBSIG_KEYRINGS_DIR=$(shell pwd)/testing/keyrings
DEBSIG_POLICIES_DIR=$(shell pwd)/testing/policies
endif

PROGRAM = debsig-verify
OBJS = xml-parse.o ar-parse.o gpg-parse.o debsig-verify.o misc.o

CFLAGS += -DDEBSIG_POLICIES_DIR=\"$(DEBSIG_POLICIES_DIR)\" \
-DDEBSIG_KEYRINGS_DIR=\"$(DEBSIG_KEYRINGS_DIR)\"

MANPAGES = debsig-verify.1

all: $(PROGRAM) $(MANPAGES)

$(PROGRAM): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $@

install: all
	install -d -m755 $(DESTDIR)/usr/bin
	install -m755 $(PROGRAM) $(DESTDIR)/usr/bin/$(PROGRAM)
	install -d -m755 $(DESTDIR)$(DEBSIG_POLICIES_DIR)
	install -d -m755 $(DESTDIR)$(DEBSIG_KEYRINGS_DIR)
	for mpage in $(MANPAGES); do \
		num=`echo $$mpage | sed 's,.*\.,,'`; \
		install -d -m755 $(DESTDIR)/usr/share/man/man$$num; \
		install $$mpage $(DESTDIR)/usr/share/man/man$$num/$$mpage; \
	done

clean:
	rm -f debsig-verify $(OBJS) $(MANPAGES)

%.o: %.c debsig.h
	$(CC) $(CFLAGS) -c $< -o $@

%.1: docs/%.1.in
	sed -e 's,@POLICIES_DIR@,$(DEBSIG_POLICIES_DIR),g' \
		-e 's,@KEYRINGS_DIR@,$(DEBSIG_KEYRINGS_DIR),g' < $< > $@

## debsig-verify 0.6

=== debian/changelog ===
debsig-verify (0.6) unstable; urgency=low

  * Redesigned ds_fail_printf
  * Initialize gpg before using it

 -- Ben Collins <bcollins@debian.org>  Fri, 27 Apr 2001 13:55:52 -0400

debsig-verify (0.5) unstable; urgency=low

  * Some formatting changes
  * add "debian-binary" to members that are part of the signed data
  * For the selection phase, do not actually check the signatures with
    gpg. Just make sure they exist, and match if the ID is specified
  * If -d is specified, allow gpg output to stdout/stderr

 -- Ben Collins <bcollins@debian.org>  Sat, 14 Apr 2001 00:41:03 -0400

debsig-verify (0.4) unstable; urgency=low

  * Fix execl in gpgVerify()
  * Make sure files end in .pol
  * Add some more debug output

 -- Ben Collins <bcollins@debian.org>  Thu,  8 Mar 2001 10:50:01 -0500

debsig-verify (0.3) unstable; urgency=low

  * debian/control: Suggests debian-keyring, Section non-US/main

 -- Ben Collins <bcollins@debian.org>  Sun, 21 Jan 2001 13:48:08 -0500

debsig-verify (0.2) unstable; urgency=low

  * Added --list-policies, to get a list of applicable policies for a .deb
    (do not verify the contents). Also added a --use-policy so the user
    can specify one of the shortnames in the list from the list option.
  * Added manpage for debsig-verify
  * Added some code to free up alloc'd memory used by parsePolicy()
  * Lots of code cleanups
  * Added a -d option for debug output
  * Change to use "gpg --verify <sig> <file>" intead of stdin. The newest
    gpg changed this behavior to fix a security issue.
  * Use obstack to alloc policy data in xml-parts.c

 -- Ben Collins <bcollins@debian.org>  Tue, 12 Dec 2000 17:41:53 -0500

debsig-verify (0.1) unstable; urgency=low

  * Original setup

 -- Ben Collins <bcollins@debian.org>  Mon,  4 Dec 2000 20:21:32 -0500

=== debian/control ===
Source: debsig-verify
Section: non-US/main
Priority: standard
Maintainer: Ben Collins <bcollins@debian.org>
Build-Depends: libxmltok1-dev, debhelper
Standards-Version: 3.2.1.0

Package: debsig-verify
Architecture: any
Depends: ${shlibs:Depends}, gnupg
Suggests: debian-keyring
Description: Debian Package Signature Verification Tool
 This tool inspects and verifies package signatures based on predetermined
 policies.

## debsig-verify 0.7

=== debian/changelog ===
debsig-verify (0.7) unstable; urgency=low

  * Upload to main proper

 -- Ben Collins <bcollins@debian.org>  Tue, 15 Apr 2003 13:37:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: debsig-verify
-Section: non-US/main
+Section: admin
 Priority: standard
 Maintainer: Ben Collins <bcollins@debian.org>
 Build-Depends: libxmltok1-dev, debhelper

=== debian/rules ===
#!/usr/bin/make -f

STAMP_DIR = debian

build: $(STAMP_DIR)/build-stamp
$(STAMP_DIR)/build-stamp:
	dh_testdir
	$(MAKE)
	touch $(STAMP_DIR)/build-stamp

clean:
	dh_testdir
	rm -f $(STAMP_DIR)/*-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR="$(shell pwd)/debian/tmp" install

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs docs/policy-syntax.txt docs/policy.dtd
	dh_installexamples testing/policies/*/*.pol
	dh_installdeb
	dh_strip
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch

## debsig-verify 0.8

=== debian/changelog ===
debsig-verify (0.8) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group. 
  * Standards-Version bumped to 3.9.3.
  * Add dependency on ${misc:Depends}.
  * Debhelper compatibility level set to 9. Build dependency on debhelper
    updated accordingly.
  * build-{arch,indep} targets added to debian/rules.
  * Deprecated dh_clean -k replaced with dh_prep.

 -- Emanuele Rocca <ema@debian.org>  Sun, 20 May 2012 09:25:43 +0000

=== debian/control ===
Source: debsig-verify
Section: admin
Priority: standard
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libxmltok1-dev, debhelper (>=9)
Standards-Version: 3.9.3

Package: debsig-verify
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg
Suggests: debian-keyring
Description: Debian Package Signature Verification Tool
 This tool inspects and verifies package signatures based on predetermined
 policies.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,12 @@
 
 STAMP_DIR = debian
 
-build: $(STAMP_DIR)/build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+build-indep: build-stamp
+
+build-stamp: $(STAMP_DIR)/build-stamp
 $(STAMP_DIR)/build-stamp:
 	dh_testdir
 	$(MAKE)
@@ -17,10 +22,10 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
-	$(MAKE) DESTDIR="$(shell pwd)/debian/tmp" install
+	$(MAKE) DESTDIR="$(shell pwd)/debian/debsig-verify" install
 
 binary-indep:

## debsig-verify 0.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 CC = gcc
 CFLAGS = -Wall -g -O2
-LDFLAGS = -lxmltok -lxmlparse
 
 #TESTING=1
 
@@ -15,15 +14,24 @@
 PROGRAM = debsig-verify
 OBJS = xml-parse.o ar-parse.o gpg-parse.o debsig-verify.o misc.o
 
-CFLAGS += -DDEBSIG_POLICIES_DIR=\"$(DEBSIG_POLICIES_DIR)\" \
--DDEBSIG_KEYRINGS_DIR=\"$(DEBSIG_KEYRINGS_DIR)\"
+MK_CPPFLAGS = \
+	-DLIBDPKG_VOLATILE_API=1 \
+	-DDEBSIG_POLICIES_DIR=\"$(DEBSIG_POLICIES_DIR)\" \
+	-DDEBSIG_KEYRINGS_DIR=\"$(DEBSIG_KEYRINGS_DIR)\"
+MK_CFLAGS = \
+	$(shell getconf LFS_CFLAGS) \
+	$(shell pkg-config --cflags libdpkg)
+MK_LDFLAGS = \
+	$(shell getconf LFS_LDFLAGS) \
+	$(shell pkg-config --libs libdpkg) \
+	-lxmlparse
 
 MANPAGES = debsig-verify.1
 
 all: $(PROGRAM) $(MANPAGES)
 
 $(PROGRAM): $(OBJS)
-	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $@
+	$(CC) $(MK_CFLAGS) $(CFLAGS) $(OBJS) $(MK_LDFLAGS) $(LDFLAGS) -o $@
 
 install: all
 	install -d -m755 $(DESTDIR)/usr/bin
@@ -36,11 +44,17 @@
 		install $$mpage $(DESTDIR)/usr/share/man/man$$num/$$mpage; \
 	done
 
+check:
+	# Do not ship this in the tarball or repository.
+	ln -s /usr/share/keyrings/debian-keyring.gpg testing/keyrings/7CD73F641E04EC2D/
+	# XXX: Do some actual testing here.
+
 clean:
 	rm -f debsig-verify $(OBJS) $(MANPAGES)
+	rm -f testing/keyrings/7CD73F641E04EC2D/debian-keyring.gpg
 
 %.o: %.c debsig.h
-	$(CC) $(CFLAGS) -c $< -o $@
+	$(CC) $(MK_CPPFLAGS) $(CPPFLAGS) $(MK_CFLAGS) $(CFLAGS) -c $< -o $@
 
 %.1: docs/%.1.in
 	sed -e 's,@POLICIES_DIR@,$(DEBSIG_POLICIES_DIR),g' \

=== debian/changelog ===
debsig-verify (0.10) unstable; urgency=low

  * Add exit status codes to the man page.
    Thanks to Ben Collins <bcollins@debian.org>.
  * Enable LFS by passing the correct build flags to the build.
  * Extend the package long description.
  * Add a lintian override for package-contains-empty-directory on
    /usr/share/debsig/keyrings/.

 -- Guillem Jover <guillem@debian.org>  Tue, 29 Jul 2014 12:21:49 +0200

debsig-verify (0.9) unstable; urgency=low

  * New maintainer. Closes: #540897
  * Use '' style quoting instead of unpaired `'.
  * Use italics for pathnames and user replacable strings.
  * Add missing space before Build-Depends version.
  * Bump Standard-Version to 3.9.5 (no changed needed).
  * Stop making build-indep depend on build-stamp in debian/rules.
  * Stop using a build-stamp in debian/rules.
  * Add dh_installman and dh_link commands.
  * Mark debsig-verify as Enhances dpkg.
  * Sync Priority with archive override (from standard to optional).
  * Use $(CURDIR) instead of $(shell pwd) in debian/rules.
  * Honour user CPPFLAGS, CFLAGS and LDFLAGS.
  * Set build flags via dpkg-buildflags.
  * Switch debian/copyright to machine-readable format 1.0.
  * Add support for control.tar, control.tar.xz, data.tar, data.tar.xz,
    data.tar.bz2 and data.tar.lzma deb members. Closes: #745563
    Based on a patch by Vivek Das Mohapatra <vivek@etla.org>.
  * Do not unnecessarily link against libxmltok, only libxmlparse.
  * Start using libdpkg instead of duplicating code:
    - Add pkg-config and libdpkg-dev to Build-Depends.
    - Add a Built-Using field for libdpkg-dev static linking.
    - Use libdpkg error handling code.
    - Use libdpkg ar handling. This enables ar large file support (LFS).
  * Check return values from functions marked with warn_unused_result.
  * Fix typos (aswell → as well). Closes: #748539
    Thanks to Tomas Pospisek <tpo_deb@sourcepole.ch>.
  * Add Vcs-Browser and Vcs-Git fields.
  * Switch to source format “3.0 (native)”.
  * Create the debian-keyring.gpg testing symlink in a new check target,
    instead of shipping it in the git repository or the release tarballs.
  * Decapitalize package short description.

 -- Guillem Jover <guillem@debian.org>  Fri, 06 Jun 2014 13:41:13 +0200

=== debian/control ===
Source: debsig-verify
Section: admin
Priority: optional
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dpkg/debsig-verify.git
Vcs-Git: git://anonscm.debian.org/dpkg/debsig-verify.git
Build-Depends: debhelper (>= 9), pkg-config, libdpkg-dev, libxmltok1-dev
Standards-Version: 3.9.5

Package: debsig-verify
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg
Suggests: debian-keyring
Enhances: dpkg
Built-Using: ${sourcedep:libdpkg-dev}
Description: Debian package signature verification tool
 This tool inspects and verifies binary package digital signatures based
 on predetermined policies, complementing repository signatures or allowing
 to verify the authenticity of a package even after download when detached
 from a repository.

=== debian/rules ===
#!/usr/bin/make -f

sourcedep_libdpkg_dev := \
	$(shell dpkg-query \
	        --showformat '$${source:Package} (= $${source:Version})' \
	        --show libdpkg-dev)

build: build-arch build-indep

build-indep:

build-arch:
	dh_testdir
	$(MAKE) $(shell dpkg-buildflags --export=cmdline)

clean:
	dh_testdir
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR="$(CURDIR)/debian/debsig-verify" install

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs docs/policy-syntax.txt docs/policy.dtd
	dh_installexamples testing/policies/*/*.pol
	dh_installman
	dh_installdeb
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_shlibdeps
	dh_gencontrol -- -Vsourcedep:libdpkg-dev='$(sourcedep_libdpkg_dev)'
	dh_builddeb

binary: binary-indep binary-arch

## debsig-verify 0.10ubuntu2

=== debian/changelog ===
debsig-verify (0.10ubuntu2) utopic; urgency=low

  * improve GNUPGHOME chnage based on the review from Guillem
    and fix bug in the cleanup handling

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Aug 2014 19:08:57 +0200

debsig-verify (0.10ubuntu1) utopic; urgency=low

  * set the GNUPGHOME environment to a temporary dir to ensure
    that debsig-verify works even if ~/.gnupg is not writable

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Aug 2014 20:55:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debsig-verify
 Section: admin
 Priority: optional
-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dpkg/debsig-verify.git
 Vcs-Git: git://anonscm.debian.org/dpkg/debsig-verify.git

## debsig-verify 0.13

=== debian/changelog ===
debsig-verify (0.13) unstable; urgency=medium

  * Disable all current GnuPG warnings, as these do not concern us, because
    we only use gpg for verification purposes, so we should not be handling
    sensitive material anyway. This fixes failures in the testsuite on
    GNU/Hurd due to unexpected output in stderr.

 -- Guillem Jover <guillem@debian.org>  Tue, 28 Oct 2014 18:03:29 +0100

debsig-verify (0.12) unstable; urgency=medium

  * Merge the testsuite execution into the debian/rules build-arch target,
    and use a build stamp file so that we do not invoke it from a binary
    target. The latter is going to be run as root possibly via fakeroot,
    and as GnuPG is set-uid-root on non-Linux systems, it fails there.
  * Mark targets as .PHONY in debian/rules.
  * Explicitly Build-Depend on gnupg for the testsuite.

 -- Guillem Jover <guillem@debian.org>  Tue, 28 Oct 2014 06:24:28 +0100

debsig-verify (0.11) unstable; urgency=medium

  * Update Vcs-Browser git URL to the new cgit scheme.
  * Add a README file.
  * Autoconfiscate build system.
  * Add more warning flags to the default compiler flags.
  * Do not use continuation lines in string literals.
  * Reformat and reflow --help output.
  * Add a --root option to use an alternative root directory.
    Thanks to Michael Vogt <mvo@ubuntu.com>. Closes: #758525
  * Add new --policies-dir and --keyrings-dir options.
  * Add new --help option.
  * Do not print --version and --help on stderr and make them exit 0. And
    replace usage error output with a new function that gives a hint to the
    user to use --help instead.
  * Add long options for quiet, verbose and debug.
  * Use DS_LEV_ERR instead of DS_FAIL_INTERNAL as ds_printf() level argument.
  * Use more of libdpkg instead of ad-hoc code, to reduce code duplication,
    switch to more tested code, and so that the error return codes are
    checked and acted upon. Closes: #758615
    - Switch to use subproc module instead of fork() and waitpid().
    - Switch from xmalloc to m_malloc().
    - Use ohshit()/ohshite() instead of ds_fail_printf(DS_FAIL_INTERNAL, ...).
    - Use m_dup2() instead of raw dup2().
    - Use fdio API instead of ad-hoc file copying.
    - Use str_match_end() instead of ad-hoc code, which also fixes a warning
      due to a signed vs unsigned comparison.
  * Remove useless return statements.
  * Use a temporary GNUPGHOME instead of using the users's default.
    Based on a patch by Michael Vogt <mvo@ubuntu.com>. Closes: #758826
  * Error out if the GnuPG pipe failed on close.
  * Explicitly check strcmp() return value instead of handling it as a bool.
  * Switch originID from global to function scoped variable.
    Thanks to Michael Vogt <mvo@ubuntu.com>.
  * Switch deb and deb_fd from global to a function scoped struct.
  * Change len type to size_t to fix a signed vs unsigned comparison warning.
  * Make private functions static.
  * Make private constant string variables static const.
  * Add new autotest functional testsuite.
  * Add test cases for signature checks.
    Based on a patch by Michael Vogt <mvo@ubuntu.com>.
  * Update copyright holders and years.
  * Bump Standard-Version to 3.9.6 (no changed needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 28 Oct 2014 04:01:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: debsig-verify
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dpkg/debsig-verify.git
+Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: git://anonscm.debian.org/dpkg/debsig-verify.git
-Build-Depends: debhelper (>= 9), pkg-config, libdpkg-dev, libxmltok1-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), pkg-config, libdpkg-dev (>= 1.17.14),
+ libxmltok1-dev, gnupg
+Standards-Version: 3.9.6
 
 Package: debsig-verify
 Architecture: any

## debsig-verify 0.14

=== debian/changelog ===
debsig-verify (0.14) unstable; urgency=low

  * Assume at least C89 and POSIX.1-2001.
  * Fix man page formatting.
  * Add references to debsigs(1) and gpg(1) to the man page.
  * Add missing man page .TH fields.
  * Use https instead of git or http in URLs.
  * Add new test case covering key to name id mapping.
  * Switch to use more of libdpkg instead of ad-hoc code:
    - Use path_make_temp_template().
    - Switch from popen() to subproc_fork() and execlp(), to avoid shell
      invocation and unsafe argument passing.
    - Use the command module to invoke GnuPG instead of execlp().
  * Do not use an absolute pathname to the GnuPG program.
  * Make the GnuPG program configurable through the DEBSIG_GNUPG_PROGRAM
    environment variable.
  * Fix handling of a possibly non-terminated origin ID string.
  * Fix a file TOCTOU issue in the XML parser.
  * Set umask() for mkstemp() calls.
  * Do not free() nor unlink() an uninitialized string.
  * Fix printing debug message on unmatched key IDs in getKeyID().
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Sat, 13 Feb 2016 11:32:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/debsig-verify.git
-Vcs-Git: git://anonscm.debian.org/dpkg/debsig-verify.git
+Vcs-Git: https://anonscm.debian.org/git/dpkg/debsig-verify.git
 Build-Depends: debhelper (>= 9), pkg-config, libdpkg-dev (>= 1.17.14),
  libxmltok1-dev, gnupg
 Standards-Version: 3.9.6

=== debian/rules ===
#!/usr/bin/make -f

sourcedep_libdpkg_dev := \
	$(shell dpkg-query \
	        --showformat '$${source:Package} (= $${source:Version})' \
	        --show libdpkg-dev)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

# Create configure script if necessary, automake handles rebuilding it.
configure:
	dh_testdir

	./autogen

# Configure the build tree
build-tree/config.status: configure
	dh_testdir

	install -d build-tree
	cd build-tree && ../configure $(confflags) \
		$(shell dpkg-buildflags --export=configure) \
		--prefix=/usr \
		--mandir=\$${datadir}/man \
		--sysconfdir=/etc \
		--disable-silent-rules

build: build-arch build-indep

build-indep:

# XXX: We need to use a build stamp because the test suite uses GnuPG, which
# is Set-Uid-Root on non-Linux systems, which breaks it when using also
# fakeroot.
build-arch: build-tree/build-arch-stamp
build-tree/build-arch-stamp: build-tree/config.status
	dh_testdir

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C build-tree VERBOSE=1 check
else
	$(MAKE) -C build-tree
endif
	touch $@

.PHONY: build build-indep build-arch

clean:
	dh_testdir
	[ ! -f Makefile ] ||  $(MAKE) distclean
	rm -rf build-tree
	dh_clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C build-tree DESTDIR="$(CURDIR)/debian/debsig-verify" install

.PHONY: install-arch clean

binary-indep:

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/policy-syntax.txt doc/policy.dtd
	dh_installexamples test/policies/*/*.pol
	dh_installman
	dh_installdeb
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_shlibdeps
	dh_gencontrol -- -Vsourcedep:libdpkg-dev='$(sourcedep_libdpkg_dev)'
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-indep binary-arch

## debsig-verify 0.15

=== debian/changelog ===
debsig-verify (0.15) unstable; urgency=medium

  * Fix typo in error message, reported by lintian.
  * Fix typo in man page, reported by lintian.
  * Bump Standard-Version to 3.9.8 (no changes needed).
  * Use https for debsig policy DTD.
  * Fix coding style.
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable all hardening flags.
  * Switch to use the new libdpkg 1.18.8 ar API.
  * Fix parsing of GnuPG 2.x --list-packets output.
  * Move debian/copyright paragraph referencing GPL-2 file to a Comment field.
  * Make configure.ac a dependency of the configure target in debian/rules.
  * Fix test suite with GnuPG 2.x.

 -- Guillem Jover <guillem@debian.org>  Thu, 14 Jul 2016 00:45:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://anonscm.debian.org/git/dpkg/debsig-verify.git
-Build-Depends: debhelper (>= 9), pkg-config, libdpkg-dev (>= 1.17.14),
+Build-Depends: debhelper (>= 9), pkg-config, libdpkg-dev (>= 1.18.8),
  libxmltok1-dev, gnupg
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: debsig-verify
 Architecture: any

## debsig-verify 0.16

=== debian/changelog ===
debsig-verify (0.16) unstable; urgency=medium

  * Wrap dependency fields in debian/control.
  * Add debsigs to Suggests.
  * Mark gnupg Build-Depends as <!nocheck>.
  * Adapt for libdpkg 1.18.11 ar API changes.
  * Enable more compilation warnings from configure.
  * Switch to a single git repository URL in README for browsing and cloning
    to fix previously broken cloning URL.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Jan 2017 02:10:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,25 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://anonscm.debian.org/git/dpkg/debsig-verify.git
-Build-Depends: debhelper (>= 9), pkg-config, libdpkg-dev (>= 1.18.8),
- libxmltok1-dev, gnupg
+Build-Depends:
+ debhelper (>= 9),
+ pkg-config,
+ libdpkg-dev (>= 1.18.11),
+ libxmltok1-dev,
+ gnupg <!nocheck>,
 Standards-Version: 3.9.8
 
 Package: debsig-verify
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg
-Suggests: debian-keyring
-Enhances: dpkg
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ gnupg,
+Suggests:
+ debian-keyring,
+ debsigs,
+Enhances:
+ dpkg,
 Built-Using: ${sourcedep:libdpkg-dev}
 Description: Debian package signature verification tool
  This tool inspects and verifies binary package digital signatures based

## debsig-verify 0.17

=== debian/changelog ===
debsig-verify (0.17) unstable; urgency=medium

  * Spelling fixes. Thanks to Josh Soref <jsoref@gmail.com>.
  * Switch from libxmltok (expat 1.x) to libexpat (expat 2.x). The latter
    package is slightly bigger, but that is offset by being used by many
    more package, and more importantly being maintained upstream.
  * Bump Standard-Version to 4.0.1 (no changes needed).
  * Switch to debhelper compatibility level 10.

 -- Guillem Jover <guillem@debian.org>  Sun, 13 Aug 2017 00:25:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://anonscm.debian.org/git/dpkg/debsig-verify.git
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  pkg-config,
  libdpkg-dev (>= 1.18.11),
- libxmltok1-dev,
+ libexpat1-dev,
  gnupg <!nocheck>,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 
 Package: debsig-verify
 Architecture: any

## debsig-verify 0.18

=== debian/changelog ===
debsig-verify (0.18) unstable; urgency=medium

  * Pass --no-auto-check-trustdb to the gpg invocations.
  * Add gpg as a alternative dependencies to gnupg, and gpg-agent or
    gnupg-agent as new Build-Depends, now that the package has been split
    in a more fine-grained way.
  * Use UTC0 instead of UTC when setting TZ.
  * Bump Standard-Version to 4.1.1 (no changes needed).
  * Add autopkgtest using the upstream test suite.
  * Set Rules-Requires-Root to no.
  * Set distribution tarball format to ustar.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 23:46:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,23 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://anonscm.debian.org/git/dpkg/debsig-verify.git
+Standards-Version: 4.1.1
+Rules-Requires-Root: no
 Build-Depends:
  debhelper (>= 10),
  pkg-config,
  libdpkg-dev (>= 1.18.11),
  libexpat1-dev,
- gnupg <!nocheck>,
-Standards-Version: 4.0.1
+ gpg <!nocheck> | gnupg <!nocheck>,
+# We need the agent for the test suite as we are handling a secret keyring.
+ gpg-agent <!nocheck> | gnupg-agent <!nocheck>,
 
 Package: debsig-verify
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- gnupg,
+ gpg | gnupg,
 Suggests:
  debian-keyring,
  debsigs,

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
+
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DEB_CFLAGS_MAINT_PREPEND = -Wall
+
+include /usr/share/dpkg/default.mk
 
 sourcedep_libdpkg_dev := \
 	$(shell dpkg-query \
 	        --showformat '$${source:Package} (= $${source:Version})' \
 	        --show libdpkg-dev)
-
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	confflags += --build=$(DEB_HOST_GNU_TYPE)
@@ -17,7 +17,7 @@
 endif
 
 # Create configure script if necessary, automake handles rebuilding it.
-configure:
+configure: configure.ac
 	dh_testdir
 
 	./autogen
@@ -28,7 +28,9 @@
 
 	install -d build-tree
 	cd build-tree && ../configure $(confflags) \
-		$(shell dpkg-buildflags --export=configure) \
+		CPPFLAGS="$(CPPFLAGS)" \
+		CFLAGS="$(CFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" \
 		--prefix=/usr \
 		--mandir=\$${datadir}/man \
 		--sysconfdir=/etc \

## debsig-verify 0.19

=== debian/changelog ===
debsig-verify (0.19) unstable; urgency=medium

  * Update Vcs information to point to new hosting.
  * Allocate pathname buffers dynamically to avoid possible silent truncation.
  * Build system:
    - Detect compiler flags availability at build-time.
  * Packaging:
    - Namespace debhelper files with package names.
    - Bump Standard-Version to 4.1.5 (no changes needed).
    - Move debhelper command arguments into fragment files.
    - Install all test policies into keyid example directories.

 -- Guillem Jover <guillem@debian.org>  Thu, 05 Jul 2018 12:50:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/debsig-verify.git
-Vcs-Git: https://anonscm.debian.org/git/dpkg/debsig-verify.git
-Standards-Version: 4.1.1
+Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
+Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
 Build-Depends:
  debhelper (>= 10),

=== debian/rules ===
--- 
+++ 
@@ -78,8 +78,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs doc/policy-syntax.txt doc/policy.dtd
-	dh_installexamples test/policies/*/*.pol
+	dh_installdocs
+	dh_installexamples
 	dh_installman
 	dh_installdeb
 	dh_lintian

## debsig-verify 0.22

=== debian/changelog ===
debsig-verify (0.22) unstable; urgency=medium

  * Fix use after free on debug output.
    Reported by Moritz Meintker <moritz@thinksilicon.de>.

 -- Guillem Jover <guillem@debian.org>  Wed, 11 Dec 2019 05:12:02 +0100

debsig-verify (0.21) unstable; urgency=medium

  * Packaging:
    - Do not use dh_auto_configure to configure the source in the
      autopkgtest, as it passes unknown options that emit warnings that
      make the test fail. See: #942813.

 -- Guillem Jover <guillem@debian.org>  Sat, 26 Oct 2019 20:38:50 +0200

debsig-verify (0.20) unstable; urgency=medium

  * Update copyright years.
  * Expand GPLv2 brief notice in debsig-verify man page into the standard
    GPL-2+ notice.
  * Print the temporary directory template in case mkdtemp() fails, instead
    of printing NULL.
  * Build system:
    - Add missing files to the distribution.
    - Generate the .dist-version when creating a dist tarball.
  * Packaging:
    - Bump Standard-Version to 4.4.1 (no changes needed).
    - Switch from debian/compat to debhelper-compat in Build-Depends.
    - Switch to debhelper compatibility level 12.
    - Switch to dh.

 -- Guillem Jover <guillem@debian.org>  Sat, 19 Oct 2019 04:23:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  pkg-config,
  libdpkg-dev (>= 1.18.11),
  libexpat1-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_PREPEND = -Wall

sourcedep_libdpkg_dev := \
	$(shell dpkg-query \
	        --showformat '$${source:Package} (= $${source:Version})' \
	        --show libdpkg-dev)

%:
	dh $@ --builddir=build-tree

override_dh_gencontrol:
	dh_gencontrol -- -Vsourcedep:libdpkg-dev='$(sourcedep_libdpkg_dev)'

## debsig-verify 0.23

=== debian/changelog ===
debsig-verify (0.23) unstable; urgency=medium

  * Remove unused ‘c’ variable assignment in fgets() call.
  * Packaging:
    - Switch to Standard-Version 4.5.1 (no changes needed).
    - Switch to debhelper compatibility level 13.
    - Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 22:29:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pkg-config,
  libdpkg-dev (>= 1.18.11),
  libexpat1-dev,

## debsig-verify 0.25ubuntu1

=== debian/changelog ===
debsig-verify (0.25ubuntu1) kinetic; urgency=medium

  * Add support for zstd compression, as implemented in Ubuntu.

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 02 Jun 2022 11:13:03 +0200

debsig-verify (0.25) unstable; urgency=medium

  * Update copyright years.
  * Test suite:
    - Fix function name in trap.

 -- Guillem Jover <guillem@debian.org>  Wed, 17 Nov 2021 02:35:53 +0100

debsig-verify (0.24) unstable; urgency=medium

  * Switch keyring parser from gpg --list-packets to --show-keys --with-colons.
  * Use fingerprint and fallback to use long keyIDs for database filenames.
  * Reject weak RIPEMD160 and SHA1 algorithms.
  * Documentation:
    - Update .gpg keyring references to .pgp in man page.
    - Mention OpenPGP instead of gpg in generic code comments.
    - Clarify the requirement for OpenPGP keyrings.
      Prompted by Steve McIntyre <steve@einval.com>.
      See #988646.
    - Update and modernize the policy-syntax specification.
  * Code internals:
    - Move GnuPG specific macros to the GnuPG backend module.
    - Rename gpgVerify() to sigVerify().
    - Add a new find_command() function.
    - Abstract the OpenPGP operations behind a frontend driver.
    - Move checkSigExist() from misc to openpgp module.
    - Rename XML parser file to policy-xml.
    - Refactor key ID comparison function.
    - Support comparing keyIDs and fingerprints.
    - Refactor database filename generation into a new function.
    - Refactor prefix matching into a new function.
    - Regroup header includes.
  * Build system:
    - Add GitLab CI support.
    - Update .gitignore file.
  * Packaging:
    - Fix typo for Standards-Version field.
    - Switch to Standards-Version 4.6.0 (no changes needed).
    - Do not include the keyid in the example policies pathname.
  * Test suite:
    - Rename .gpg keyrings to .pgp.
    - Abstract OpenPGP details into debsig_openpgp_* functions.
    - Check OpenPGP backend availability.
    - Add sqop and sq OpenPGP backend support.
    - Remove obsolete and non-compliant test data.
      Reported by Charles Duffy <charles@dyfis.net>.
    - Shorten test case titles.
    - Move bad sig case after no sig case.

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Nov 2021 06:02:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: debsig-verify
 Section: admin
 Priority: optional
-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
  libdpkg-dev (>= 1.18.11),
  libexpat1-dev,
- gpg <!nocheck> | gnupg <!nocheck>,
+ gpg <!nocheck> | gnupg <!nocheck> | sqop <!nocheck> | sq <!nocheck>,
 # We need the agent for the test suite as we are handling a secret keyring.
- gpg-agent <!nocheck> | gnupg-agent <!nocheck>,
+ gpg-agent <!nocheck> | gnupg-agent <!nocheck> | sqop <!nocheck> | sq <!nocheck>,
 
 Package: debsig-verify
 Architecture: any

## debsig-verify 0.26

=== debian/changelog ===
debsig-verify (0.26) unstable; urgency=medium

  * Print the unknown option on error.
  * Fix mismatched number of arguments error.
  * openpgp-gpg: Always pass the gpg command in argv[0].
  * openpgp-gpg: Skip field separator character when parsing --with-colons
    output.
  * openpgp: Do not consider a match if one of the fingerprints has zero
    length.
  * openpgp-gpg: When matching on getKeyID match on fingerprint.
  * openpgp-gpg: Do not fallback to the match ID on fingerprint/keyID not
    found.
  * openpgp-gpg: Fix last field parsing.
  * openpgp-gpg: Switch from internal gpg --list-packets to --verify
    --status-fd. See #1001331.
  * openpgp-gpg: Unset GPG_TTY.
  * Check whether the origin ID is in the keyring if no match ID is specified.
  * openpgp: Print the pathname for the keyring used in debug mode.
  * Documentation:
    - Update TODO.
    - Refer to the main git repository as primary.
    - Use https:// for release download URLs.
    - Switch release URL from ftp.debian.org to deb.debian.org.
  * Code internals:
    - Avoid using an intermediate buffer in ds_printf().
    - Switch from fgets() to getline().
    - openpgp-gpg: Refactor get_field() out from get_colon_field().
    - Refactor keyring generation.
    - Pass a string instead of a struct match to getKeyID().
    - Rename getSigKeyID() argument from type to name.
    - Turn struct match «type» member from an int to an enum.
    - openpgp-gpg: Fix cleanup_gpg_tmpdir() subprocess description.
  * Test suite:
    - Add new test keys with non-weak algorithms.

 -- Guillem Jover <guillem@debian.org>  Tue, 04 Oct 2022 04:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debsig-verify
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git

## debsig-verify 0.27

=== debian/changelog ===
debsig-verify (0.27) unstable; urgency=medium

  * Build system:
    - Request pkg-config static linking flags for libdpkg.
  * Packaging:
    - Switch to Standards-Version 4.6.1 (no changes needed).
    - Update lintian overrides for new syntax.

 -- Guillem Jover <guillem@debian.org>  Sat, 15 Oct 2022 11:16:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## debsig-verify 0.28

=== debian/changelog ===
debsig-verify (0.28) unstable; urgency=medium

  * Add support for zstd compressed .deb archives.
  * Packaging:
    - Update copyright years.
    - Switch to Standards-Version 4.6.2 (no changes needed).
    - Do not trim debian/changelog.

 -- Guillem Jover <guillem@debian.org>  Tue, 10 Jan 2023 23:38:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ debhelper (>= 13.10),
  pkg-config,
  libdpkg-dev (>= 1.18.11),
  libexpat1-dev,

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,8 @@
 %:
 	dh $@ --builddir=build-tree
 
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim
+
 override_dh_gencontrol:
 	dh_gencontrol -- -Vsourcedep:libdpkg-dev='$(sourcedep_libdpkg_dev)'

## debsig-verify 0.29

=== debian/changelog ===
debsig-verify (0.29) unstable; urgency=medium

  * Code internals:
    - openpgp-gpg: Free fpr if there is no match in gpg_getKeyID().
    - openpgp-gpg: Do not duplicate the returned value in gpg_getSigKeyID().
    - Rename find_command() to command_in_path() to match libdpkg.
    - Rename misc.c to debug.c.
  * Build system:
    - Use command_in_path() from libdpkg.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Sep 2023 21:21:04 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  debhelper-compat (= 13),
  debhelper (>= 13.10),
  pkg-config,
- libdpkg-dev (>= 1.18.11),
+ libdpkg-dev (>= 1.22.0),
  libexpat1-dev,
  gpg <!nocheck> | gnupg <!nocheck> | sqop <!nocheck> | sq <!nocheck>,
 # We need the agent for the test suite as we are handling a secret keyring.

## debsig-verify 0.30

=== debian/changelog ===
debsig-verify (0.30) unstable; urgency=medium

  * Add OpenPGP subkey support.
    Based on a patch by Steve McIntyre <steve@einval.com>. Closes: #1059150
  * Switch from pkg-config to pkgconf.
  * Documentation:
    - doc: Bump required C compiler to support C99.
  * Packaging:
    - Update copyright years.
  * Test suite:
    - Add new macro to set the OpenPGP key to use.
    - Switch to use sq --signer-file.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Apr 2024 04:53:04 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  debhelper (>= 13.10),
- pkg-config,
+ pkgconf,
  libdpkg-dev (>= 1.22.0),
  libexpat1-dev,
  gpg <!nocheck> | gnupg <!nocheck> | sqop <!nocheck> | sq <!nocheck>,

## debsig-verify 0.31

=== debian/changelog ===
debsig-verify (0.31) unstable; urgency=medium

  * Code internals:
    - Use DS_LEV_INFO instead of a hardcoded value.
    - Swap order of ds_debug_level in boolean comparisons.
    - Change ds_printf() to return early on too low debug level.
  * Packaging:
    - Drop gnupg and gnupg-agent as alternatives to gpg and gpg-agent.
  * Test suite:
    - Generalize SOP support to include rsop, gosop and pgpainless-cli.
    - Adapt to new sq CLI 0.40.0 API.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Dec 2024 01:04:22 +0100

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,28 @@
  pkgconf,
  libdpkg-dev (>= 1.22.0),
  libexpat1-dev,
- gpg <!nocheck> | gnupg <!nocheck> | sqop <!nocheck> | sq <!nocheck>,
+ gpg <!nocheck> | sqop <!nocheck> | rsop <!nocheck> | gosop <!nocheck> | pgpainless-cli <!nocheck> | sq <!nocheck>,
 # We need the agent for the test suite as we are handling a secret keyring.
- gpg-agent <!nocheck> | gnupg-agent <!nocheck> | sqop <!nocheck> | sq <!nocheck>,
+ gpg-agent <!nocheck> | sqop <!nocheck> | rsop <!nocheck> | gosop <!nocheck> | pgpainless-cli <!nocheck> | sq <!nocheck>,
+Build-Conflicts:
+# Uses new sq features, w/o requiring a hard build dependency on sq.
+ sq (<< 0.40.0~),
+# Uses required SOP features, w/o requiring a hard dependency on sqop.
+ sqop (<< 0.27.2~),
+# Uses required SOP features, w/o requiring a hard dependency on rsop.
+ rsop (<< 0.4.0~),
+# Uses required SOP features, w/o requiring a hard dependency on gosop.
+ gosop (<< 1.1.0~),
+# Uses required SOP features, w/o requiring a hard dependency on pgpainless.
+ pgpainless-cli (<< 1.3.13~),
+ libsop-java-java (<< 4.0.7~),
 
 Package: debsig-verify
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- gpg | gnupg,
+ gpg,
 Suggests:
  debian-keyring,
  debsigs,

## debsig-verify 0.32

=== debian/changelog ===
debsig-verify (0.32) unstable; urgency=medium

  * Fix OpenPGP implementation array traversal.
  * Documentation:
    - Update TODO.
  * Packaging:
    - Switch to Standards-Version 4.7.1 (no changes needed).
    - Add <!nocheck> Build-Depends on gpg | gpg-from-sq to run debsig-verify.
  * Test suite:
    - Pass --root-owner-group to dpkg-deb.

 -- Guillem Jover <guillem@debian.org>  Sat, 22 Feb 2025 14:24:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,6 +13,9 @@
  pkgconf,
  libdpkg-dev (>= 1.22.0),
  libexpat1-dev,
+# Needed by debsig-verify itself during the test suite execution.
+ gpg <!nocheck> | gpg-from-sq <!nocheck>,
+# Needed by the test suite scaffolding.
  gpg <!nocheck> | sqop <!nocheck> | rsop <!nocheck> | gosop <!nocheck> | pgpainless-cli <!nocheck> | sq <!nocheck>,
 # We need the agent for the test suite as we are handling a secret keyring.
  gpg-agent <!nocheck> | sqop <!nocheck> | rsop <!nocheck> | gosop <!nocheck> | pgpainless-cli <!nocheck> | sq <!nocheck>,

## debsig-verify 0.33

=== debian/changelog ===
debsig-verify (0.33) unstable; urgency=medium

  * Build system:
    - Terminate lists in variables with «# EOL».
  * Packaging:
    - Switch to Standards-Version 4.7.2 (no changes needed).
  * Test suite:
    - Fix «sq sign» invocation with CLI version 1.0.

 -- Guillem Jover <guillem@debian.org>  Sat, 15 Mar 2025 02:57:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -21,7 +21,7 @@
  gpg-agent <!nocheck> | sqop <!nocheck> | rsop <!nocheck> | gosop <!nocheck> | pgpainless-cli <!nocheck> | sq <!nocheck>,
 Build-Conflicts:
 # Uses new sq features, w/o requiring a hard build dependency on sq.
- sq (<< 0.40.0~),
+ sq (<< 1.0.0~),
 # Uses required SOP features, w/o requiring a hard dependency on sqop.
  sqop (<< 0.27.2~),
 # Uses required SOP features, w/o requiring a hard dependency on rsop.

=== debian/tests/control ===
Tests: functional
Depends: @, @builddeps@
Restrictions: rw-build-tree

## debsig-verify 0.34

=== debian/changelog ===
debsig-verify (0.34) unstable; urgency=medium

  * Update for new libdpkg-dev >= 1.23.0 API changes. Closes: #1123841
  * Documentation:
    - doc: Update TODO.
  * Packaging:
    - Remove «Rules-Requires-Root: no», which is the current default.
    - Remove «Priority: optional», which is the current default.

 -- Guillem Jover <guillem@debian.org>  Mon, 22 Dec 2025 21:19:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: debsig-verify
 Section: admin
-Priority: optional
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/debsig-verify.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/debsig-verify.git
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  debhelper (>= 13.10),
  pkgconf,
- libdpkg-dev (>= 1.22.0),
+ libdpkg-dev (>= 1.23.0),
  libexpat1-dev,
 # Needed by debsig-verify itself during the test suite execution.
  gpg <!nocheck> | gpg-from-sq <!nocheck>,
